CREATE TABLE cron (
    jobName varchar UNIQUE NOT NULL, -- Application-recognizable name for the job
    runinterval interval NOT NULL, -- Duration between runs
		-- Last successful run - only gets updated if run is successful
    lastSuccess timestamptz DEFAULT to_timestamp(0), -- Defaults to beginning of time
		PRIMARY KEY(jobName)
);

INSERT INTO cron (jobName,runInterval) VALUES
('processBans','30 minutes'),
('processFollows','30 minutes'),
('processSubscriptions','30 minutes'),
('processEmptyMetadata','1 day');
