CREATE TABLE config (
	rowlock bool DEFAULT TRUE UNIQUE NOT NULL CHECK (rowlock = TRUE),
	normaluservotepoints int NOT NULL DEFAULT 10,
	followervotepoints int NOT NULL DEFAULT 50,
	subscribervotepoints int NOT NULL DEFAULT 100,
	normaluserratelimit int NOT NULL DEFAULT 1,
	followerratelimit int NOT NULL DEFAULT 2,
	subscriberratelimit int NOT NULL DEFAULT 3,
	title varchar NOT NULL DEFAULT '{username}''s Learn Request Queue',
	colors jsonb NOT NULL DEFAULT '{"bg": {"primary": "#444444","table": "#282828","navbar": "#666666","error": "#ff0000"},"fg": {"primary": "#dddddd","ahover": "#ffffff","title": "#eeeeee"}}',
	PRIMARY KEY (rowLock)
);

INSERT INTO config (rowlock) VALUES (true);
